(function() {
    'use strict';

    angular
        .module('app')
        .directive('hovering', Directive);

    function Directive() {
        // Usage:
        //
        // Creates:
        //
        var directive = {
            link: link,
            restrict: 'A',
            scope: {}
        };
        return directive;

        function link(scope, element, attrs) {
            element.bind('mouseover', function() {
                element.toggleClass('active');
            });
            element.bind('mouseout', function() {
                element.toggleClass('active');
            });
        }
    }
})();